libwpg: libwpg::WPGPaintInterface Class Reference documentation

# libwpg::WPGPaintInterface Class Reference

`#include <WPGPaintInterface.h>`

Inheritance diagram for libwpg::WPGPaintInterface:

List of all members.

## Public Types
enum | FillRule { AlternatingFill, WindingFill }
## Public Member Functions
virtual | ~WPGPaintInterface ()
virtual void | startGraphics (double width, double height)=0
virtual void | setPen (const WPGPen &pen)=0
virtual void | setBrush (const WPGBrush &brush)=0
virtual void | setFillRule (FillRule rule)=0
virtual void | startLayer (unsigned int id)=0
virtual void | endLayer (unsigned int id)=0
virtual void | drawRectangle (const WPGRect &rect, double rx, double ry)=0
virtual void | drawEllipse (const WPGPoint &center, double rx, double ry)=0
virtual void | drawPolygon (const WPGPointArray &vertices)=0
virtual void | drawPath (const WPGPath &path)=0
virtual void | drawBitmap (const WPGBitmap &bitmap)=0
virtual void | drawImageObject (const WPGBinaryData &binaryData)=0
virtual void | endGraphics ()=0

## Member Enumeration Documentation

enum libwpg::WPGPaintInterface::FillRule

Enumerator:

  AlternatingFill |
  WindingFill |

## Constructor & Destructor Documentation

virtual libwpg::WPGPaintInterface::~WPGPaintInterface | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void libwpg::WPGPaintInterface::startGraphics | ( | double | width,
|  | double | height |
| ) |  |  | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleStartWPG(), and WPG1Parser::handleStartWPG().

virtual void libwpg::WPGPaintInterface::setPen | ( | const WPGPen & | pen | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::handleArc(), WPG1Parser::handleCurvedPolyline(), WPG1Parser::handleEllipse(), WPG1Parser::handleLine(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG2Parser::handlePolyline(), WPG1Parser::handlePolyline(), WPG2Parser::handleRectangle(), and WPG1Parser::handleRectangle().

virtual void libwpg::WPGPaintInterface::setBrush | ( | const WPGBrush & | brush | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::handleArc(), WPG1Parser::handleCurvedPolyline(), WPG1Parser::handleEllipse(), WPG1Parser::handleLine(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG2Parser::handlePolyline(), WPG1Parser::handlePolyline(), WPG2Parser::handleRectangle(), and WPG1Parser::handleRectangle().

virtual void libwpg::WPGPaintInterface::setFillRule | ( | FillRule | rule | ) | `[pure virtual]`

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::handlePolycurve(), and WPG2Parser::handlePolyline().

virtual void libwpg::WPGPaintInterface::startLayer | ( | unsigned int | id | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleLayer().

virtual void libwpg::WPGPaintInterface::endLayer | ( | unsigned int | id | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleEndWPG(), and WPG2Parser::handleLayer().

virtual void libwpg::WPGPaintInterface::drawRectangle | ( | const WPGRect & | rect,
|  | double | rx,
|  | double | ry |
| ) |  |  | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleRectangle(), and WPG1Parser::handleRectangle().

virtual void libwpg::WPGPaintInterface::drawEllipse | ( | const WPGPoint & | center,
|  | double | rx,
|  | double | ry |
| ) |  |  | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleArc(), and WPG1Parser::handleEllipse().

virtual void libwpg::WPGPaintInterface::drawPolygon | ( | const WPGPointArray & | vertices | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG1Parser::handleLine(), WPG1Parser::handlePolygon(), WPG2Parser::handlePolyline(), and WPG1Parser::handlePolyline().

virtual void libwpg::WPGPaintInterface::drawPath | ( | const WPGPath & | path | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::flushCompoundPolygon(), WPG1Parser::handleCurvedPolyline(), and WPG2Parser::handlePolycurve().

virtual void libwpg::WPGPaintInterface::drawBitmap | ( | const WPGBitmap & | bitmap | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), and WPG1Parser::handleBitmapTypeTwo().

virtual void libwpg::WPGPaintInterface::drawImageObject | ( | const WPGBinaryData & | binaryData | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleObjectImage(), WPG1Parser::handlePostscriptTypeOne(), and WPG1Parser::handlePostscriptTypeTwo().

virtual void libwpg::WPGPaintInterface::endGraphics | ( |  | ) | `[pure virtual]`

Implemented in libwpg::WPGSVGGenerator.

Referenced by WPG2Parser::handleEndWPG(), and WPG1Parser::handleEndWPG().

The documentation for this class was generated from the following file:

- WPGPaintInterface.h